package com.cusc.nirvana.user.rnr.fp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.user.rnr.fp.dao.entity.FpRnrRelationInfoPO;
import com.cusc.nirvana.user.rnr.fp.dto.BindUserInfoDTO;
import com.cusc.nirvana.user.rnr.fp.dto.FpRnrRelationInfoDTO;

import java.util.List;

/**
 * 实名关联信息(FpRnrRelationInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-04-14 20:43:07
 */
public interface IFpRnrRelationInfoService extends IService<FpRnrRelationInfoPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    FpRnrRelationInfoDTO getByUuid(FpRnrRelationInfoDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<FpRnrRelationInfoDTO> queryByList(FpRnrRelationInfoDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpRnrRelationInfoDTO insert(FpRnrRelationInfoDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpRnrRelationInfoDTO update(FpRnrRelationInfoDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(FpRnrRelationInfoDTO bean);


    List<FpRnrRelationInfoDTO> queryByUserId(FpRnrRelationInfoDTO bean);

    Boolean bindByUserId(BindUserInfoDTO bean);

    Boolean disableBindByUserId(FpRnrRelationInfoDTO bean);

}
